/* -------------------------------------------------------------------------- */

/*                                 Typhography                                */

/* -------------------------------------------------------------------------- */

body {
  font-size: 24px;
  line-height: 32px;
  color: #000;
  font-weight: 400;
  font-family: "Unna", serif;
}

body .entry-content h1,
body h1,
body .entry-content h2,
body h2,
body .entry-content h3,
body h3,
body .entry-content h4,
body h4,
body .entry-content h5,
body h5,
body .entry-content h6,
body h6 {
  color: #000;
  font-weight: 700;
  font-family: "Unna", serif;
}

b,
strong {
  font-weight: 700;
}

body .entry-content h1,
body h1 {
  font-size: 72px;
  line-height: 90px;
}

body .entry-content h2,
h2 {
  font-size: 60px;
  line-height: 72px;
}

body .entry-content h3,
body h3 {
  font-size: 48px;
  line-height: 60px;
}

body .entry-content h4,
body h4 {
  font-size: 36px;
  line-height: 44px;
}

body .entry-content h5,
body h5 {
  font-size: 30px;
  line-height: 38px;
}

body .entry-content h6,
body h6 {
  font-size: 24px;
  line-height: 36px;
}

/* -------------------------------------------------------------------------- */

/*                                   Inputs                                   */

/* -------------------------------------------------------------------------- */
input[type="date"],
input[type="time"],
input[type="datetime-local"],
input[type="week"],
input[type="month"],
input[type="text"],
input[type="email"],
input[type="url"],
input[type="password"],
input[type="search"],
input[type="tel"],
input[type="number"],
textarea,
select {
  border-color: var(--gray300) !important;
  border-radius: 8px !important;
  height: unset !important;
  padding: 10px 14px !important;
  color: var(--gray950) !important;
  font-size: 16px !important;
  line-height: 26px !important;
  background-color: var(--white);
  font-family: "Unna", serif !important;
  box-shadow: 0px 1px 2px 0px #0a0d120d;
  outline: 1px solid transparent;
}

textarea {
  padding: 10px 16px !important;
}

input[type="date"]:focus,
input[type="time"]:focus,
input[type="datetime-local"]:focus,
input[type="week"],
input[type="month"],
input[type="text"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
input[type="tel"]:focus,
input[type="number"]:focus,
textarea:focus,
select:focus {
  border: 1px solid var(--brand500) !important;
  outline: 1px solid var(--brand500) !important;
}

input[type="email"],
input[type="url"],
input[type="password"],
input[type="tel"],
input[type="number"] {
  text-align: left;
}

textarea#comment {
  height: 150px;
}

select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  padding-left: 38px !important;
  background: url(../icons/chevron_down.svg) 10px no-repeat #ffffff;
  background-size: 16px;
  font-size: 14px !important;
  font-family: "Unna", serif !important;
}

input[type="radio"] {
  display: none;
}

input[type="radio"] + label {
  cursor: pointer;
  transition: 0.3s;
  position: relative;
}

input[type="radio"] + label:before {
  content: "";
  cursor: pointer;
  border-radius: 20px;
  border: 1px solid #53627c;
  transition: 0.3s;
  height: 20px;
  width: 20px;
  min-width: 20px;
  margin-top: 4px;
}

input[type="radio"]:checked + label:before {
  background-color: #fff;
  border-color: var(--primary);
}

input[type="radio"]:checked + label:hover:before {
  background-color: #fff;
}

input[type="radio"] + label:hover:before {
  border-color: var(--primary);
  background-color: rgb(56 180 73 / 16%);
}

input[type="radio"]:checked + label:after {
  content: "";
  width: 12px;
  height: 12px;
  background-color: var(--primary);
  border-radius: 20px;
  position: absolute;
  top: 8px;
  right: 4px;
}

body input[type="checkbox"] {
  display: none;
}

body input[type="checkbox"] + label:before {
  content: "";
  display: inline-block;
  border-radius: 6px;
  border: 1px solid var(--gray300);
  height: 20px;
  width: 20px;
  min-width: 20px;
  transition: 0.3s;
  background: var(--white) url(../icons/check.svg) no-repeat center;
}

body input[type="checkbox"]:checked + label:before {
  background: var(--brand600) url(../icons/check.svg) no-repeat center;
  border-color: var(--brand600);
}

input[type="checkbox"] + label {
  display: flex !important;
  align-items: center;
  font-size: 16px;
  line-height: 28px;
  gap: 12px;
  cursor: pointer;
}

body .fluentform .ff-el-group {
  margin: 0;
}

body .fluentform .ff-el-group:not(:last-child) {
  margin-bottom: 32px;
}

body .ff-default .ff_btn_style {
  font-size: 14px;
  line-height: 24px;
  padding: 10px 50px;
  border-radius: 100px;
  font-weight: 500;
}

body .fluentform .ff-btn-submit:not(.ff_btn_no_style) {
  color: var(--white);
  background: var(--blue500) !important;
}

body .fluentform .ff-btn-submit:not(.ff_btn_no_style):hover {
  background: var(--blue900) !important;
  opacity: 1;
}

body .fluentform .ff-el-input--label {
  margin-bottom: 6px;
  display: flex;
}

body .ff-default .ff-el-input--label label {
  font-size: 14px;
  line-height: 24px;
  color: var(--gray700);
}

body
  .fluentform
  .ff-el-input--label.ff-el-is-required.asterisk-right
  label:after {
  margin-right: 2px;
  color: var(--brand600);
}

body .frm-fluent-form .ff-t-container {
  gap: 32px;
}

body .frm-fluent-form .ff-t-container:not(:last-child) {
  margin-bottom: 32px;
}
